# Name a wallet or account

`PUT /payments/accounts/{id}/resources/{rid}` · Rivier · shop

Name a wallet or account.

- Scope: shop:admin
- Sdk: shop.paymentResource.label
- Cli: shop payment resource label

## Parameters

- `id` (path, required), string
- `rid` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "label": {
      "type": "string",
      "maxLength": 80
    }
  },
  "required": [
    "label"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PUT 'https://api.rivier.ai/payments/accounts/{id}/resources/{rid}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "label": "string"
}'
```
